function runscript()
	storewindow();
	if (getflag(FLAG_BURGER_HELP_HEARD) == 0) then
		say("Wow!|| This must be an Invincible Burger!");
		say("Don't be fooled,|| the Invincible Burger doesn't make you invincible.");
		say("Actually,| it's the burger itself that's invincible.");
		say("So whenever you need a quick boost of health, there's nothing that quite hits the spot like an Invincible Burger.");
		setflag(FLAG_BURGER_HELP_HEARD, FLAG_ON);
	end
	
	if (ask("Take a bite of the Invincible Burger?")) then
		sound("eat", CHAN_SCRIPTED);
		heal(9999);
		say("Life restored!");
		if (getweapon(WEAPON_BAZOOKA) == 1) then
			fillmissiles();
			sound("Missileup", CHAN_SCRIPTED);
			say("Missiles restored!");
		end
	end
	restorewindow();
end